/****************************************************************************
** $Id: qsregexp_object.h  beta1   edited Dec 17 19:07 $
**
** Copyright (C) 2001-2002 Trolltech AS.  All rights reserved.
**
** This file is part of the Qt Script for Applications framework (QSA).
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** Licensees holding a valid QSA Beta Evaluation Version license may use
** this file in accordance with the QSA Beta Evaluation Version License
** Agreement provided with the Software.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about QSA Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
*****************************************************************************/

#ifndef QSREGEXP_OBJECT_H
#define QSREGEXP_OBJECT_H

#include "qsclass.h"
#include <qstringlist.h>

class QSRegExpClass : public QSWritableClass {
public:
    QSRegExpClass( QSClass *b );
    QString name() const { return "RegExp"; }
    bool hasProperty( const QSObject *obj, const QString &p ) const;
    QSObject get( const QSObject *obj, const QString &prop ) const;

    bool hasStaticProperty( const QString &p ) const;
    QSObject getStatic( const QString &p ) const;

    QString toString( const QSObject *obj ) const;

    QSObject construct( const QSList &args ) const;
    QSObject cast( const QSList &args ) const;

    static QRegExp *regExp( const QSObject *obj );

    // ECMA API
    static QSObject exec( QSObject *obj, const QSList &args );
    static QSObject test( QSObject *obj, const QSList &args );
    static QSObject toStringScript( QSObject *obj, const QSList &args );
    // QRegExp API
    static QSObject search( QSObject *obj, const QSList &args );
    static QSObject searchRev( QSObject *obj, const QSList &args );
    static QSObject exactMatch( QSObject *obj, const QSList &args );
    static QSObject pos( QSObject *obj, const QSList &args );
    static QSObject cap( QSObject *obj, const QSList &args );

    QStringList lastCaptures;
};

#endif
