/****************************************************************************
** $Id: quickpixmapobject.h  beta1   edited Dec 12 10:31 $
**
** Copyright (C) 2001-2002 Trolltech AS.  All rights reserved.
**
** This file is part of the Qt Script for Applications framework (QSA).
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** Licensees holding a valid QSA Beta Evaluation Version license may use
** this file in accordance with the QSA Beta Evaluation Version License
** Agreement provided with the Software.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about QSA Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
*****************************************************************************/

#ifndef QUICKPIXMAPOBJECT_H
#define QUICKPIXMAPOBJECT_H

#include <qsclass.h>

class QPixmap;

class QSPixmapClass : public QSClass {
public:
    QSPixmapClass( QSClass *b );
    QString name() const { return "Pixmap"; }

    virtual QSObject fetchValue( const QSObject *obj,
				 const QSMember &mem ) const;

    QString debugString( const QSObject *obj ) const;

    QSObject construct( const QSList &args ) const;
    QSObject construct( const QPixmap &p ) const;

    QPixmap *pixmap( const QSObject *obj ) const;

    static QSObject isNull( QSObject *obj, const QSList &args );
    static QSObject fill( QSObject *obj, const QSList &args );
    static QSObject resize( QSObject *obj, const QSList &args );
    static QSObject load( QSObject *obj, const QSList &args );
    static QSObject save( QSObject *obj, const QSList &args );
};

#endif
